@import '../../variables.scss';

.bia-button{
  background-image: $bia-gradient-primary;
  color: $bia-white;
  height: 3.12rem;
  border-radius: 0.5rem;
  padding: 0 1.37rem;
  font-family: 'Roboto';
  font-weight: 700;
  text-transform: uppercase;
  font-size: $text-md;
  line-height: $text-lg;
  border: none;
  opacity: 0.8;
  transition: opacity 0.3s ease;

  &:hover {
    opacity: 1;
  }

  &--small {
    height: 2.2rem;
    padding: 0 1rem;
  }

  &--disabled {
    background-image: $bia-gradient-winter;
    opacity: 1;
  }

  &--royalty {
    background-image: $bia-gradient-royalty;
  }

  &--summer {
    background-image: $bia-gradient-summer;
  }

  &--sunset {
    background-image: $bia-gradient-sunset;
  }

  &--pink {
    background-image: $bia-gradient-pink;
  }

  &--spring {
    background-image: $bia-gradient-spring;
  }

  &--river {
    background-image: $bia-gradient-river;
  }
}
